#ifndef __PLATFORM_NARF52_NARF52_DK_H
#define __PLATFORM_NARF52_NARF52_DK_H

#include "gpio.h"
#include "narf52_gpio.h"

#include "driver.h"

struct narf52_gpio narf_led_1 = {
    .pin_number = 17,
    .dir = NARF_GPIO_DIR_OUT,
    .input = NARF_GPIO_PIN_INPUT_DISCONNECT,
    .pull = NARF_GPIO_PIN_NOPULL,
    .drive = NARF_GPIO_PIN_S0S1,
    .sense = NARF_GPIO_PIN_NOSENSE,
};

struct driver led_1 = {
    .name = "LED_1",
    .fp = &gpio_fp,
    .dev = (void *)&narf_led_1,
};

struct narf52_gpio narf_led_2 = {
    .pin_number = 18,
    .dir = NARF_GPIO_DIR_OUT,
    .input = NARF_GPIO_PIN_INPUT_DISCONNECT,
    .pull = NARF_GPIO_PIN_NOPULL,
    .drive = NARF_GPIO_PIN_S0S1,
    .sense = NARF_GPIO_PIN_NOSENSE,
};

struct driver led_2 = {
    .name = "LED_2",
    .fp = &gpio_fp,
    .dev = (void *)&narf_led_2,
};

struct narf52_gpio narf_led_3 = {
    .pin_number = 19,
    .dir = NARF_GPIO_DIR_OUT,
    .input = NARF_GPIO_PIN_INPUT_DISCONNECT,
    .pull = NARF_GPIO_PIN_NOPULL,
    .drive = NARF_GPIO_PIN_S0S1,
    .sense = NARF_GPIO_PIN_NOSENSE,
};

struct driver led_3 = {
    .name = "LED_3",
    .fp = &gpio_fp,
    .dev = (void *)&narf_led_3,
};

struct narf52_gpio narf_led_4 = {
    .pin_number = 20,
    .dir = NARF_GPIO_DIR_OUT,
    .input = NARF_GPIO_PIN_INPUT_DISCONNECT,
    .pull = NARF_GPIO_PIN_NOPULL,
    .drive = NARF_GPIO_PIN_S0S1,
    .sense = NARF_GPIO_PIN_NOSENSE,
};

struct driver led_4 = {
    .name = "LED_4",
    .fp = &gpio_fp,
    .dev = (void *)&narf_led_4,
};

#endif
